> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert a line-level input override

> Upsert a line-level input override



## OpenAPI

````yaml /api-reference/openapi.json put /api/payroll/cycles/{id}/overrides
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/payroll/cycles/{id}/overrides:
    put:
      tags:
        - Payroll
      summary: Upsert a line-level input override
      description: Upsert a line-level input override
      operationId: putApiPayrollCyclesByIdOverrides
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                employeeId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                componentCode:
                  type: string
                  minLength: 1
                  maxLength: 20
                amount:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                note:
                  anyOf:
                    - type: string
                      maxLength: 120
                    - type: 'null'
              required:
                - employeeId
                - componentCode
                - amount
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  employeeId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  employeeName:
                    type: string
                  employeeCode:
                    type: string
                  componentCode:
                    type: string
                  componentName:
                    type: string
                  amount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  note:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - id
                  - employeeId
                  - employeeName
                  - employeeCode
                  - componentCode
                  - componentName
                  - amount
                  - note
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````